Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::billboard_node Class Reference

Inheritance diagram for openvrml::vrml97_node::billboard_node:

[legend]
List of all members.

## Detailed Description

Billboard node instances.

## Public Member Functions

| billboard_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~billboard_node () throw ()
| Destroy.

## Static Public Member Functions

static const mat4f | billboard_to_matrix (const billboard_node &node, const mat4f &modelview)
| Get the bounding box transformation matrix.

## Private Member Functions

virtual void | do_render_child (openvrml::viewer &viewer, rendering_context context)
| Render the node.

## Private Attributes

exposedfield< sfvec3f > | axis_of_rotation_
| axisOfRotation exposedField.
viewer::object_t | xformObject
| Handle for the renderer.

## Friends

class | billboard_class
| Class object for Billboard nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::billboard_node::billboard_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::billboard_node::~billboard_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

const mat4f openvrml::vrml97_node::billboard_node::billboard_to_matrix | ( | const billboard_node & | node,
|  | const mat4f & | modelview
| ) | `[static]`

Get the bounding box transformation matrix.

Parameters:

  | node | a pointer to a billboard_node.
  | modelview | input ModelView transformation matrix.

Returns:
  the bounding box transformation matrix.

void openvrml::vrml97_node::billboard_node::do_render_child | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

Render the node.

Parameters:

  | viewer | a viewer.
  | context | the rendering context.

Reimplemented from openvrml::vrml97_node::group_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::billboard_node::billboard_class`[friend]`

| Class object for Billboard nodes.

## Member Data Documentation

exposedfield< sfvec3f > openvrml::vrml97_node::billboard_node::axis_of_rotation_ `[private]`

| axisOfRotation exposedField.

viewer::object_t openvrml::vrml97_node::billboard_node::xformObject `[private]`

| Handle for the renderer.